var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { EOrderStatus, EOrderType, } from '../orderTypes';
let lastOrderId = 1;
export const orderServerTool = {
    createOrder: (ctx, tokenProvider) => __awaiter(void 0, void 0, void 0, function* () {
        const retVal = {
            id: `order${lastOrderId}`,
            correlationId: `corelation${lastOrderId}`,
        };
        lastOrderId++;
        return retVal;
    }),
    fetchOrder: (ctx, id, tokenProvider) => {
        // @ts-ignore
        const order = {
            id,
            tenant: 'tenant1',
            orderType: EOrderType.DELIVERY,
            status: EOrderStatus.NEW,
            created: new Date('2021-01-01').toISOString(),
            buckets: [],
        };
        return order;
    },
};
