"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.orderChangesListener = exports.connectWebSockets = exports.deleteUser = exports.updateUserData = exports.getLoggedUserData = exports.clearAuthData = exports.setAuthData = exports.authorizeWithUserPass = exports.authorizeWithRefreshToken = exports.createAuthDataProvider = exports.authDataProvider = exports.orderStore = exports.setOrderStoreUpdatedCallback = exports.onOrderUpdate = exports.onOrderError = exports.getOrderStore = exports.cmdOrderCreate = exports.clearOrderStore = exports.appendOrderLine = exports.addOrderContactData = exports.createOrderPayment = exports.updateCentrallyOrderExtraAttr = exports.pullOrdersForUser = exports.pullOrders = exports.postNewOrder = exports.EOrderLineStatus = exports.EOrderProductKind = exports.EOrderPaymentType = exports.EOrderSource = exports.EOrderType = exports.EOrderStatus = void 0;
var orderTypes_1 = require("./orderTypes");
Object.defineProperty(exports, "EOrderStatus", { enumerable: true, get: function () { return orderTypes_1.EOrderStatus; } });
Object.defineProperty(exports, "EOrderType", { enumerable: true, get: function () { return orderTypes_1.EOrderType; } });
Object.defineProperty(exports, "EOrderSource", { enumerable: true, get: function () { return orderTypes_1.EOrderSource; } });
Object.defineProperty(exports, "EOrderPaymentType", { enumerable: true, get: function () { return orderTypes_1.EOrderPaymentType; } });
Object.defineProperty(exports, "EOrderProductKind", { enumerable: true, get: function () { return orderTypes_1.EOrderProductKind; } });
Object.defineProperty(exports, "EOrderLineStatus", { enumerable: true, get: function () { return orderTypes_1.EOrderLineStatus; } });
var orderService_1 = require("./orderService");
Object.defineProperty(exports, "postNewOrder", { enumerable: true, get: function () { return orderService_1.postNewOrder; } });
Object.defineProperty(exports, "pullOrders", { enumerable: true, get: function () { return orderService_1.pullOrders; } });
Object.defineProperty(exports, "pullOrdersForUser", { enumerable: true, get: function () { return orderService_1.pullOrdersForUser; } });
Object.defineProperty(exports, "updateCentrallyOrderExtraAttr", { enumerable: true, get: function () { return orderService_1.updateCentrallyOrderExtraAttr; } });
Object.defineProperty(exports, "createOrderPayment", { enumerable: true, get: function () { return orderService_1.createOrderPayment; } });
Object.defineProperty(exports, "addOrderContactData", { enumerable: true, get: function () { return orderService_1.addOrderContactData; } });
Object.defineProperty(exports, "appendOrderLine", { enumerable: true, get: function () { return orderService_1.appendOrderLine; } });
var orderStore_1 = require("./orderStore");
Object.defineProperty(exports, "clearOrderStore", { enumerable: true, get: function () { return orderStore_1.clearOrderStore; } });
Object.defineProperty(exports, "cmdOrderCreate", { enumerable: true, get: function () { return orderStore_1.cmdOrderCreate; } });
Object.defineProperty(exports, "getOrderStore", { enumerable: true, get: function () { return orderStore_1.getOrderStore; } });
Object.defineProperty(exports, "onOrderError", { enumerable: true, get: function () { return orderStore_1.onOrderError; } });
Object.defineProperty(exports, "onOrderUpdate", { enumerable: true, get: function () { return orderStore_1.onOrderUpdate; } });
Object.defineProperty(exports, "setOrderStoreUpdatedCallback", { enumerable: true, get: function () { return orderStore_1.setOrderStoreUpdatedCallback; } });
exports.orderStore = __importStar(require("./orderStore"));
var auth_1 = require("./auth");
Object.defineProperty(exports, "authDataProvider", { enumerable: true, get: function () { return auth_1.authDataProvider; } });
Object.defineProperty(exports, "createAuthDataProvider", { enumerable: true, get: function () { return auth_1.createAuthDataProvider; } });
Object.defineProperty(exports, "authorizeWithRefreshToken", { enumerable: true, get: function () { return auth_1.authorizeWithRefreshToken; } });
Object.defineProperty(exports, "authorizeWithUserPass", { enumerable: true, get: function () { return auth_1.authorizeWithUserPass; } });
Object.defineProperty(exports, "setAuthData", { enumerable: true, get: function () { return auth_1.setAuthData; } });
Object.defineProperty(exports, "clearAuthData", { enumerable: true, get: function () { return auth_1.clearAuthData; } });
Object.defineProperty(exports, "getLoggedUserData", { enumerable: true, get: function () { return auth_1.getLoggedUserData; } });
Object.defineProperty(exports, "updateUserData", { enumerable: true, get: function () { return auth_1.updateUserData; } });
Object.defineProperty(exports, "deleteUser", { enumerable: true, get: function () { return auth_1.deleteUser; } });
var wsListener_1 = require("./wsListener");
Object.defineProperty(exports, "connectWebSockets", { enumerable: true, get: function () { return wsListener_1.connectWebSockets; } });
var mainService_1 = require("./mainService");
Object.defineProperty(exports, "orderChangesListener", { enumerable: true, get: function () { return mainService_1.orderChangesListener; } });
