import { IConfiguredAuthDataProvider, IOrderRec } from './orderTypes';
import { INotificationMessage, ISteeringCommand } from '@orderingstack/ordering-types';
import { ApplicationInsights } from '@microsoft/applicationinsights-web';
import { OrderRecHashmap } from './orderStore';
export declare function orderChangesListener(BASE_URL: string, TENANT: string, VENUE: string, authDataProvider: IConfiguredAuthDataProvider, onOrderUpdatedCallback: (orderRec: IOrderRec | undefined, orders: OrderRecHashmap) => void, _onAuthFailureCallback: () => Promise<void>, enableKDS: boolean, websocketMessageCallback?: (message: INotificationMessage) => void, onSteeringCommand?: (message: ISteeringCommand) => void, extra?: {
    appInsights?: ApplicationInsights;
    debugWs?: boolean;
    onlyCompletedOrdersForUser?: boolean;
}): Promise<() => Promise<void>>;
