"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceProtocolInUrl = void 0;
function replaceProtocolInUrl(url, newProtocol) {
    const baseURL = new URL(url);
    const protocol = baseURL.protocol + '//';
    if (url.startsWith(protocol)) {
        const newUrl = newProtocol + url.substr(0 + protocol.length);
        return newUrl;
    }
}
exports.replaceProtocolInUrl = replaceProtocolInUrl;
